function [nsteps, PL, PR] = prepare_data(np)
%
load solar_jlpz_1m.csv;
%   Columns: cas j_s, j_p, j_z, l_s, l_p, l_z, p_s, p_p, p_z, z_s, z_p, z_z
%       j   ... jaro        _s  ... slunecny den
%       l   ... leto        _p  ... promenlivy den
%       p   ... podzim      _z  ... zatazeny den
%       z   ... zima
%
T = zeros(288,1440);
for i = 0:287
    T(i+1,5*i+1:5*i+5) = 0.2*ones(1,5);
end
solar = T*solar_jlpz_1m(:,1:13);

% for i = 2:13
%     figure
%     plot([0:0.2:287.8]',solar_jlpz_1m(:,i))
%     hold on
%     plot([0:1:287]',solar(:,i))
% end

load totalpower.csv;
icycle = fix(size(totalpower,1)/1440);
totpower = zeros(icycle*288,1);
for i = 0:icycle-1
   totpower(288*i+1:288*(i+1)) = T*totalpower(1440*i+1:1440*(i+1),7);
end

load windpower.csv;
icycle = fix(size(windpower,1)/1440);
wind = zeros(icycle*288,1);
for i = 0:icycle-1
   wind(288*i+1:288*(i+1)) = T*windpower(1440*i+1:1440*(i+1),1);
end

% Data for one day in [kW]
nsteps = 288;
PL = 0.001*totpower(1:(288+np));
PR = 0.001*[solar(:, 2); solar(1:np,3)]; % jaro, slunecny a cast promenliveho
 PR = 3*(PR + 0.05*wind(1:(288+np)));
  %PR = (PR + 0.001*wind(1:(288+np)));
